function Lik = RFlikeeval2(x)
global GQIKtheta data

theta=GQIKtheta;
theta(theta(:,2)==0)=x;

Phi=[theta(1:6,1) theta(7:12,1) theta(13:18,1) theta(19:24,1) theta(25:30,1) theta(31:36,1)];

E=[theta(37:42,1) theta(43:48,1) theta(49:54,1)];

LRV=dlyap(Phi,E*E');
Lik=kalman_filter_adapted(Phi,E,eye(3),0,LRV,data',1,[2 5 6]',10^-8,10^-8);
end

