%
% Status : main Dynare file 
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%clear all
tic;
global M_ oo_ options_ ys0_ ex0_
options_ = [];
M_.fname = 'Base_model_MLE_calibrate';
%
% Some global variables initialization
%
global_initialization;
diary off;
logname_ = 'Base_model_MLE_calibrate.log';
if exist(logname_, 'file')
    delete(logname_)
end
diary(logname_)
M_.exo_names = 'eps_u';
M_.exo_names_tex = 'eps\_u';
M_.exo_names = strvcat(M_.exo_names, 'eps_a');
M_.exo_names_tex = strvcat(M_.exo_names_tex, 'eps\_a');
M_.exo_names = strvcat(M_.exo_names, 'eps');
M_.exo_names_tex = strvcat(M_.exo_names_tex, 'eps');
M_.endo_names = 'x';
M_.endo_names_tex = 'x';
M_.endo_names = strvcat(M_.endo_names, 'r');
M_.endo_names_tex = strvcat(M_.endo_names_tex, 'r');
M_.endo_names = strvcat(M_.endo_names, 'pie');
M_.endo_names_tex = strvcat(M_.endo_names_tex, 'pie');
M_.endo_names = strvcat(M_.endo_names, 'rstar');
M_.endo_names_tex = strvcat(M_.endo_names_tex, 'rstar');
M_.endo_names = strvcat(M_.endo_names, 'u');
M_.endo_names_tex = strvcat(M_.endo_names_tex, 'u');
M_.endo_names = strvcat(M_.endo_names, 'da');
M_.endo_names_tex = strvcat(M_.endo_names_tex, 'da');
M_.param_names = 'phi';
M_.param_names_tex = 'phi';
M_.param_names = strvcat(M_.param_names, 'beta');
M_.param_names_tex = strvcat(M_.param_names_tex, 'beta');
M_.param_names = strvcat(M_.param_names, 'kappa');
M_.param_names_tex = strvcat(M_.param_names_tex, 'kappa');
M_.param_names = strvcat(M_.param_names, 'theta');
M_.param_names_tex = strvcat(M_.param_names_tex, 'theta');
M_.param_names = strvcat(M_.param_names, 'phi_x');
M_.param_names_tex = strvcat(M_.param_names_tex, 'phi\_x');
M_.param_names = strvcat(M_.param_names, 'phi_pie');
M_.param_names_tex = strvcat(M_.param_names_tex, 'phi\_pie');
M_.param_names = strvcat(M_.param_names, 'alpha');
M_.param_names_tex = strvcat(M_.param_names_tex, 'alpha');
M_.param_names = strvcat(M_.param_names, 'rho');
M_.param_names_tex = strvcat(M_.param_names_tex, 'rho');
M_.param_names = strvcat(M_.param_names, 'delta');
M_.param_names_tex = strvcat(M_.param_names_tex, 'delta');
M_.param_names = strvcat(M_.param_names, 'sigma_a');
M_.param_names_tex = strvcat(M_.param_names_tex, 'sigma\_a');
M_.param_names = strvcat(M_.param_names, 'sigma_u');
M_.param_names_tex = strvcat(M_.param_names_tex, 'sigma\_u');
M_.param_names = strvcat(M_.param_names, 'sigma');
M_.param_names_tex = strvcat(M_.param_names_tex, 'sigma');
M_.exo_det_nbr = 0;
M_.exo_nbr = 3;
M_.endo_nbr = 6;
M_.param_nbr = 12;
M_.Sigma_e = zeros(3, 3);
M_.orig_endo_nbr = 6;
M_.aux_vars = [];
options_.linear = 1;
options_.block=0;
options_.bytecode=0;
options_.use_dll=0;
erase_compiled_function('Base_model_MLE_calibrate_dynamic');
M_.lead_lag_incidence = [
 0 4 10;
 1 5 0;
 0 6 11;
 0 7 0;
 2 8 0;
 3 9 0;]';
M_.equations_tags = {
};
M_.exo_names_orig_ord = [1:3];
M_.maximum_lag = 1;
M_.maximum_lead = 1;
M_.maximum_endo_lag = 1;
M_.maximum_endo_lead = 1;
oo_.steady_state = zeros(6, 1);
M_.maximum_exo_lag = 0;
M_.maximum_exo_lead = 0;
oo_.exo_steady_state = zeros(3, 1);
M_.params = repmat(NaN,12, 1);
M_.NNZDerivatives = zeros(3, 1);
M_.NNZDerivatives(1) = 22;
M_.NNZDerivatives(2) = 0;
M_.NNZDerivatives(3) = -1;
M_.params( 2 ) = .99;
beta = M_.params( 2 );
M_.params( 5 ) = 2.2775;
phi_x = M_.params( 5 );
M_.params( 6 ) = 2.0229;
phi_pie = M_.params( 6 );
M_.params( 7 ) = 0.898;
alpha = M_.params( 7 );
M_.params( 8 ) = 0.85;
rho = M_.params( 8 );
M_.params( 9 ) = 0.1028;
delta = M_.params( 9 );
M_.params( 3 ) = 0.1;
kappa = M_.params( 3 );
M_.params( 10 ) = 0.3247;
sigma_a = M_.params( 10 );
M_.params( 11 ) = 0.2649;
sigma_u = M_.params( 11 );
M_.params( 12 ) = 0.5561;
sigma = M_.params( 12 );
%
% INITVAL instructions
%
options_.initval_file = 0;
oo_.steady_state( 1 ) = 0;
oo_.steady_state( 2 ) = 0;
oo_.steady_state( 3 ) = 0;
oo_.steady_state( 5 ) = 0;
oo_.steady_state( 6 ) = 0;
oo_.exo_steady_state( 1 ) = 0;
oo_.exo_steady_state( 2 ) = 0;
oo_.exo_steady_state( 3 ) = 0;
oo_.endo_simul=[oo_.steady_state*ones(1,M_.maximum_lag)];
if M_.exo_nbr > 0;
	oo_.exo_simul = [ones(M_.maximum_lag,1)*oo_.exo_steady_state'];
end;
if M_.exo_det_nbr > 0;
	oo_.exo_det_simul = [ones(M_.maximum_lag,1)*oo_.exo_det_steady_state'];
end;
steady;
%
% SHOCKS instructions
%
make_ex_;
M_.exo_det_length = 0;
M_.Sigma_e(3, 3) = (1)^2;
M_.Sigma_e(2, 2) = (1)^2;
M_.Sigma_e(1, 1) = (1)^2;
M_.sigma_e_is_diagonal = 1;
options_.irf = 0;
options_.nograph = 1;
options_.noprint = 1;
options_.periods = 400;
var_list_=[];
info = stoch_simul(var_list_);
save data_sim x r pie rstar u da;
save('Base_model_MLE_calibrate_results.mat', 'oo_', 'M_', 'options_');
diary off

disp(['Total computing time : ' dynsec2hms(toc) ]);
