function [residual, g1, g2, g3] = Base_model_estimation_dynamic(y, x, params, it_)
%
% Status : Computes dynamic model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%
% Model equations
%

residual = zeros(6, 1);
lhs =params(2)*y(11)+params(3)*y(4)-params(12)*x(it_, 3);
rhs =y(6);
residual(1)= lhs-rhs;
lhs =y(10)-y(4);
rhs =y(5)-y(11)-y(7);
residual(2)= lhs-rhs;
lhs =y(5);
rhs =params(7)*y(1)+y(6)*(1-params(7))*params(6)+y(4)*(1-params(7))*params(5)+y(8);
residual(3)= lhs-rhs;
lhs =y(7);
rhs =params(8)*y(9);
residual(4)= lhs-rhs;
lhs =y(9);
rhs =params(8)*y(3)+params(10)*x(it_, 2);
residual(5)= lhs-rhs;
lhs =y(8);
rhs =params(9)*y(2)+params(11)*x(it_, 1);
residual(6)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(6, 14);

%
% Jacobian matrix
%

g1(1,4)=params(3);
g1(1,6)=(-1);
g1(1,11)=params(2);
g1(1,14)=(-params(12));
g1(2,4)=(-1);
g1(2,10)=1;
g1(2,5)=(-1);
g1(2,11)=1;
g1(2,7)=1;
g1(3,4)=(-((1-params(7))*params(5)));
g1(3,1)=(-params(7));
g1(3,5)=1;
g1(3,6)=(-((1-params(7))*params(6)));
g1(3,8)=(-1);
g1(4,7)=1;
g1(4,9)=(-params(8));
g1(5,3)=(-params(8));
g1(5,9)=1;
g1(5,13)=(-params(10));
g1(6,2)=(-params(9));
g1(6,8)=1;
g1(6,12)=(-params(11));
end
if nargout >= 3,
%
% Hessian matrix
%

  g2 = sparse([],[],[],6,196);
end;
if nargout >= 4,
%
% Third order derivatives
%

  g3 = sparse([],[],[],6,2744);
end;
